#!/bin/sh -efu

#     DESCRIPTION
#
#   Save: timezone, NTP configs
#
#   XXX: save dhcpcd config
#

. livecd-functions

save="/etc/sysconfig/clock"
save="${save} /etc/ntpd.conf"
save="${save} /etc/ntp.conf"
save="${save} /etc/localtime"

for i in $save; do
    if [ -r "$i" ]; then
        verbose "Save: $i"
        mkdir -p "$target_dir/$(dirname "$i")"
        cp -a -f "$i" "$target_dir/$i"
    else
        verbose "Missing: $i"
    fi
done

##
# Save ntpd service status.
#
if [ -x "/etc/init.d/ntpd" ]; then
    "/sbin/chkconfig" --list 'ntpd' | grep -q -s 'on'
    ret=$?
    if [ $ret -eq 0 ]; then
        exec_chroot "/sbin/chkconfig" --add 'ntpd'
        exec_chroot "/sbin/chkconfig" 'ntpd' 'on'
    fi
fi

if [ -f "/etc/control.d/facilities/ntpd" ]; then
    local mode="$(control ntpd 2>/dev/null)"
    if [ -n "$mode" ]; then
        exec_chroot "/usr/sbin/control" ntpd "$mode" client >/dev/null 2>/dev/null
    fi
fi

exit 0
