#!/bin/sh

#     DESCRIPTION
#
#     Create /etc/fstab for installed system.
#     Add /tmp/fstab generated by privisious step in alterator-vm.

. livecd-functions

vm_fstab="/tmp/fstab"
dst_fstab="$target_dir/etc/fstab"

verbose "Write /etc/fstab"

if ! [ -r "$vm_fstab" ]; then
    fatal "$vm_fstab generated by alterator-vm doesn't exist"
fi

if ! [ -w "$dst_fstab" ]; then
    fatal "Destination $dst_fstab, doesn't exist."
fi

sed -i -e '/^\/dev\/root/d' "$dst_fstab"

cat "$vm_fstab" >> "$dst_fstab"

exit 0
